﻿using GeoAS.RibbonSDK;
using MapInfo.Types;
using System;
using System.Windows;

namespace DotNetHelloWorld
{
    public class HelloWorldAddIn : Addin
    {
        public void HelloWorld()
        {
            MessageBox.Show(String.Format("DotNet:{0}Hello World.", Environment.NewLine), "Hello World", MessageBoxButton.OK, MessageBoxImage.Information);
        }

        /// <summary>
        /// Captures the call function to call directly functionality of the AddIn
        /// </summary>
        /// <param name="control"></param>
        /// <param name="functionName"></param>
        /// <param name="parameters"></param>
        /// <returns></returns>
        public override bool HandleCommand(IMapInfoControl control, string functionName, params string[] parameters)
        {
            try
            {
                switch (functionName)
                {
                    case "ShowHelloWorld":
                        HelloWorld();
                        break;
                    default:
                        CallMapBasicSubroutine(functionName, parameters);
                        break;
                }
                return true;
            }
            catch (NotImplementedException ex)
            {
                var message = "Error during execution of [{0}]:{1}{2}";
                MessageBox.Show(string.Format(message, functionName, Environment.NewLine, ex.Message));
            }

            return false;
        }

    }
}
